<?php
require_once "../../maincore.php";
require_once THEMES."templates/header.php";   

//Locale
if (file_exists(INFUSIONS."pd_landmark/locale/".LOCALESET."index.php"))
  {
    include INFUSIONS."pd_landmark/locale/".LOCALESET."index.php";
  }
else
  {
    include INFUSIONS."pd_landmark/locale/German/index.php";
  }

include INFUSIONS."pd_landmark/infusion_db.php";

require_once INFUSIONS."pd_landmark/functions.inc.php";
   
define("ERDE",6370); //Erdradius in KM

$sql = "SELECT user_id, user_plz from ".DB_USERS." WHERE user_plz !='' AND user_id != ".$userdata['user_id']."";
$res = dbquery($sql);
$rows = dbrows($res);
$ud = array();
$content = "";

if ($rows > 0 )
  {
    while ( $data = dbarray($res) )
         {
	   if ( isNum($data['user_plz']) && strlen($data['user_plz'])>=4 && strlen($data['user_plz'])<=5 && isPLZvalid($data['user_plz']) )
	     {
	       $e = getDistance($userdata['user_plz'],$data['user_plz']);
	       $ud[$data['user_id']] = $e;
	     }
	 }

    $cnt = 0;
    if ( count($ud) > 0 )
      {
        asort($ud);
	$content .= "<table align=\"center\" width=\"98%\"><tr>";
        foreach( $ud as $u=>$x)
	{
	  if ( $cnt == 5 )
	    {
	      $content .= "</tr><tr>";
	      $cnt = 0;
	    }
	  $content .= "<td align=\"center\">".getUserdata($u)."<br />".$locale['pdlm131']." ".$x." ".$locale['pdlm132']."</td>";
	  $cnt++;
	}
	$content .= "</tr></table>";
      }
    else
      {
        $content = "<center>???</center>";
      }
  }
else
  {
    $content = "<center>???</center>";
  }

if ( $userdata['user_plz'] != "" && isNum($userdata['user_plz']) )
  {
    opentable($locale['pdlm130']);
    echo $content;
    closetable();
  }

require_once THEMES."templates/footer.php";   
?>
