<?php
/*
+----------------------------------------------------+
| Released under the terms & conditions of v3 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------
| Original fr V6
| (c) pirdani 2005
| http://www.pirdani.de
| kontakt@pirdani.de
+----------------------------------------------------
| Anpassung fr V7 - (c) 2009
| Dirk Heise (emblinux)
| http://fusion.heiseclan.de
| webmaster@heiseclan.de
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("PDL") || !defined("iAUTH") || $_GET['aid'] != iAUTH ) { redirect(BASEDIR."index.php"); }   

//Locale
if (file_exists(INFUSIONS."pd_landmark/locale/".LOCALESET."index.php"))
  {
    include INFUSIONS."pd_landmark/locale/".LOCALESET."index.php";
  }
else
  {
    include INFUSIONS."pd_landmark/locale/German/index.php";
  }

include INFUSIONS."pd_landmark/infusion_db.php";

$step = (isset($_GET['step']) ? $_GET['step'] : 0);

opentable($locale['pdlm102']);

echo "<center>";
if ( $step >0 && $step <=10 )
  {
    echo $locale['pdlm103']." ".$step." ".$locale['pdlm104']." 10<br>";
  }
echo "<a href='http://fusion.heiseclan.de' target='_blank'><img src='http://www.heiseclan.de/banner/hc_logo.png' style='border: solid 1px #000000;'></a>";
echo "</center><br>";

switch ( $step )
{
  case '1':
  {
    include INFUSIONS."pd_landmark/install01.php";
    echo '<br><br><center><a href="'.FUSION_SELF.$aidlink.'&amp;step=2">'.$locale['pdlm105'].'</a></center><br><br>';
    break;
  }
  case '2':
  {
    include INFUSIONS."pd_landmark/install02.php";
    echo '<br><br><center><a href="'.FUSION_SELF.$aidlink.'&amp;step=3">'.$locale['pdlm105'].'</a></center><br><br>';
    break;
  }
  case '3':
  {
    include INFUSIONS."pd_landmark/install03.php";
    echo '<br><br><center><a href="'.FUSION_SELF.$aidlink.'&amp;step=4">'.$locale['pdlm105'].'</a></center><br><br>';
    break;
  }
  case '4':
  {
    include INFUSIONS."pd_landmark/install04.php";
    echo '<br><br><center><a href="'.FUSION_SELF.$aidlink.'&amp;step=5">'.$locale['pdlm105'].'</a></center><br><br>';
    break;
  }
  case '5':
  {
    include INFUSIONS."pd_landmark/install05.php";
    echo '<br><br><center><a href="'.FUSION_SELF.$aidlink.'&amp;step=6">'.$locale['pdlm105'].'</a></center><br><br>';
    break;
  }
  case '6':
  {
    include INFUSIONS."pd_landmark/install06.php";
    echo '<br><br><center><a href="'.FUSION_SELF.$aidlink.'&amp;step=7">'.$locale['pdlm105'].'</a></center><br><br>';
    break;
  }
  case '7':
  {
    include INFUSIONS."pd_landmark/install07.php";
    echo '<br><br><center><a href="'.FUSION_SELF.$aidlink.'&amp;step=8">'.$locale['pdlm105'].'</a></center><br><br>';
    break;
  }
  case '8':
  {
    include INFUSIONS."pd_landmark/install08.php";
    echo '<br><br><center><a href="'.FUSION_SELF.$aidlink.'&amp;step=9">'.$locale['pdlm105'].'</a></center><br><br>';
    break;
  }
  case '9':
  {
    include INFUSIONS."pd_landmark/install09.php";
    echo '<br><br><center><a href="'.FUSION_SELF.$aidlink.'&amp;step=10">'.$locale['pdlm105'].'</a></center><br><br>';
    break;
  }
  case '10':
  {
    include INFUSIONS."pd_landmark/install10.php";
    echo $locale['pdlm106'];
    break;
  }
  default: 
  {
    echo '<br><br><center><a href="'.FUSION_SELF.$aidlink.'&amp;step=1">'.$locale['pdlm102_1'].'</a></center><br><br>';
    break;
  }
}

closetable();

require_once THEMES."templates/footer.php";

?>
