<?php
/*
+----------------------------------------------------
| Original fr V6
| (c) pirdani 2005
| http://www.pirdani.de
| kontakt@pirdani.de
+----------------------------------------------------
| Anpassung fr V7 - (c) 2009
| Dirk Heise (emblinux)
| http://fusion.heiseclan.de
| webmaster@heiseclan.de
+----------------------------------------------------*/

//Locale
if (file_exists(INFUSIONS."pd_landmark/locale/".LOCALESET."index.php"))
  {
    include INFUSIONS."pd_landmark/locale/".LOCALESET."index.php";
  }
else
  {
    include INFUSIONS."pd_landmark/locale/German/index.php";
  }

include INFUSIONS."pd_landmark/infusion_db.php";

//License
include(INFUSIONS."pd_landmark/license.inc.php");

//Settings auslesen
$sql_pd_landmark_settings = dbquery("SELECT * FROM ".DB_LANDMARK_SETTINGS);
$pdlandmarksetting = dbarray($sql_pd_landmark_settings);


//JavaScript: Include overlib.js (Toolbar Engine)
add_to_head('<script type="text/javascript" src="'.INFUSIONS.'pd_landmark/jscripts/overlib.js"><!-- overLIB (c) Erik Bosrup --></script>');
echo '<div id="overDiv" style="position:absolute; visibility:hidden; z-index:1000;"></div>';

//Map Daten laden
$map = ( isset($_POST['map']) ?  $_POST['map']:$pdlandmarksetting['map'] );
include(INFUSIONS."pd_landmark/maps/".$map."/map.php");

//Map Ordner
$map_files = makefilelist(INFUSIONS."pd_landmark/maps/", ".|..|index.php", true, "folders");

//Funktionen
function getPoints($id=0)
{
  if($id!=0)
  {
    $sql_user = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$id."'");
  }
  else
  {
    $sql_user = dbquery("SELECT * FROM ".DB_USERS);
  }

  $p = array();
  while($pdata = dbarray($sql_user))
  {
    if ($pdata['user_plz'] != "" && is_numeric($pdata['user_plz']) )
      {
	$sql_geo = dbquery("SELECT * FROM ".DB_LANDMARK_GEODB." WHERE plz='".$pdata['user_plz']."'");
        $gdata = dbarray($sql_geo);
	$x = lon2px($gdata['lon']);
	$y = lat2px($gdata['lat']);
	if ($x <= (MAP_WIDTH + 200) && $y <= (MAP_HEIGHT + 200) && $x > (-200) && $y > (-200))
	  {
	    $p[$x][$y]['ort']=$gdata['ort'];
	    $p[$x][$y]['plz']=$gdata['plz'];
	    $p[$x][$y]['user'][]=$pdata['user_id'];
	  }
      }
  }

  return $p;
}

function getUsers($id=0)
{
  if($id!=0)
  {
    $sql_user = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$id."'");
  }
  else
  {
    $sql_user = dbquery("SELECT * FROM ".DB_USERS);
  }
  $p=array();
  while($pdata = dbarray($sql_user))
  {
    $plz = $pdata['user_plz'];
    if ( is_numeric($plz) )
      {
	$sql_geo = dbquery("SELECT * FROM ".DB_LANDMARK_GEODB." WHERE plz='".$plz."'");
        $gdata = dbarray($sql_geo);
	$x=lon2px($gdata['lon']);
	$y=lat2px($gdata['lat']);
	if ( $x <= (MAP_WIDTH + 200) && $y <= (MAP_HEIGHT + 200) && $x > (-200) && $y > (-200) )
	  {
	    $p[]=$pdata['user_id'];
	  }
      }
  }
	return $p;
}


function lon2px($lon)
{
	global $City;
	return round((($lon - $City[0]['lon'])/LON_PER_PX + $City[0]['x'])/RASTER_SIZE);
}

function lat2px($lat)
{
	global $City;
	return round((($City[0]['lat'] - $lat)/LAT_PER_PX + $City[0]['y'])/RASTER_SIZE);
}

function drawPoints($p)
{
  global $pdlandmarksetting, $locale, $uid;

  foreach($p AS $x => $xs)
      {
        foreach($xs AS $y => $ys)
	{
	  $c = count($ys['user']);
	  if ($c>=($pdlandmarksetting['step3']+1) or $uid)
	    {
	      $cssClass='p4';
	    }
	  else if($c<($pdlandmarksetting['step3']+1) AND $c>=($pdlandmarksetting['step2']+1))
	    {
	      $cssClass='p3';
	    }
	  else if($c<($pdlandmarksetting['step2']+1) AND $c>=($pdlandmarksetting['step1']+1))
	    {
	      $cssClass='p2';
	    }
	  else if($c<($pdlandmarksetting['step1']+1))
	    {
	      $cssClass='p1';
	    }
	  else
	    {
	      $cssClass='p4';
	    }
          $s='';
	  foreach ($ys['user'] AS $k => $e)
	  {
            $sqluser = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$e."'");
            $udata = dbarray($sqluser);
	    $s.=($k?', ':' ').str_replace("'", "\\'", "<nobr><a href='".BASEDIR."profile.php?lookup=".$udata['user_id']."'>".$udata['user_name']."</a></nobr><br>");
          }
          echo '<a href="javascript:void(0);" onmouseover="return overlib(\''.$s.'\', STICKY, FGCLASS, \'tbl2\', BGCLASS, \'capmain\', CAPTIONFONTCLASS, \'a\', CLOSEFONTCLASS, \'a\', CAPTION, \'<b>'.$ys['plz'].' '.$ys['ort'].'</b>\', RIGHT, CLOSETEXT, \''.$locale["pdlm107"].'\');" onmouseout="nd();" class="'.$cssClass.'" style="left:'.($x*RASTER_SIZE).'px; top:'.($y*RASTER_SIZE).'px"></a>';
//          echo "<a href=\"javascript:void(0);\" class=\"".$cssClass."\" style=\"left:".($x*RASTER_SIZE)."px; top:".($y*RASTER_SIZE)."px\"></a>";
//	  echo ($x*RASTER_SIZE)." ".($y*RASTER_SIZE)." ".$cssClass;
	  
	}
      }
}

?>
